/**********************************************************************
 * Class TableURN_ALTERNATIVE
 * 
 * Copyright (c) 2010-2012, German National Library/Deutsche Nationalbibliothek
 * Adickesallee 1, D-60322 Frankfurt am Main, Federal Republic of Germany 
 *
 * This program is free software.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * Kadir Karaca Kocer -- German National Library
 * 
 **********************************************************************/

/* ********************************************************************
 * CHANGELOG:
 * 
 * 2012-03-15 Commented and ported to Apache Maven  
 * Default values for all attributes (-1 for all numeric ones) 2011-04-08
 * Created on 2010-07-27 by Karaca Kocer
 ********************************************************************/

package org.nbnResolving.database.model;

import java.util.Date;

/**
 * A simple class modeling 1:1 the existing Sybase
 * RMDS table URN_ALTERNATIVE in epicur database.
 * For more information please see the database model.
 * 
 * @author Kadir Karaca Kocer
 */

public class TableURN_ALTERNATIVE {
	long    urn_id = -1;
	String  alternative_urn = null;//actually alternative PI
	String  type = null;
	int     ns_id = -1;            //id of the namespace
	Date    created = new Date();  //date this record created. Default: NOW!
	Date    last_modified = null;  //date this record last modified
	String  comment = null;        //human readable comments about this record
	
	/**
	 * @return the urn_id
	 */
	public long getUrn_id() {
		return this.urn_id;
	}
	
	/**
	 * @param urn_id the urn_id to set
	 */
	public void setUrn_id(long urn_id) {
		this.urn_id = urn_id;
	}
	
	/**
	 * @return the alternative_urn
	 */
	public String getAlternative_urn() {
		return this.alternative_urn;
	}
	
	/**
	 * @param alternative_urn the alternative_urn to set
	 */
	public void setAlternative_urn(String alternative_urn) {
		this.alternative_urn = alternative_urn;
	}
	
	/**
	 * @return the type
	 */
	public String getType() {
		return this.type;
	}
	
	/**
	 * @param type the type to set
	 */
	public void setType(String type) {
		this.type = type;
	}
	
	/**
	 * @return the ns_id
	 */
	public int getNs_id() {
		return this.ns_id;
	}
	
	/**
	 * @param ns_id the ns_id to set
	 */
	public void setNs_id(int ns_id) {
		this.ns_id = ns_id;
	}
	
	/**
	 * @return the created
	 */
	public Date getCreated() {
		return this.created;
	}
	
	/**
	 * @param created the created to set
	 */
	public void setCreated(Date created) {
		this.created = created;
	}
	
	/**
	 * @return the last_modified
	 */
	public Date getLast_modified() {
		return this.last_modified;
	}
	
	/**
	 * @param last_modified the last_modified to set
	 */
	public void setLast_modified(Date last_modified) {
		this.last_modified = last_modified;
	}
	
	/**
	 * @return the comment
	 */
	public String getComment() {
		return this.comment;
	}
	
	/**
	 * @param comment the comment to set
	 */
	public void setComment(String comment) {
		this.comment = comment;
	}

}
